Bug 668822 - Review Request: rubygem-memcache-client - A Ruby library for accessing memcached
Summary: Review Request: rubygem-memcache-client - A Ruby library for accessing memcached
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Minnikhanov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 17:46 UTC by Mo Morsi
Modified: 2013-08-14 18:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-14 18:36:53 UTC
minnikhanov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2011-01-11 17:46:08 UTC
Spec URL: http://mo.morsi.org/files/rpms/rubygem-memcache-client.spec
SRPM URL: http://mo.morsi.org/files/rpms/rubygem-memcache-client-1.8.5-1.fc14.src.rpm

Description: 
A Ruby library for accessing memcached.

Comment 1 Minnikhanov 2011-01-28 17:23:17 UTC
Some notes:

* License
  - Must be pick up one or set another by LICENSE file.

* BuildRoot
  - On Fedora BuildRoot line is no longer needed:
    https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

* %check
  - Feel free run test suite in a %check section in the rpm

* %clean
  - %clean section is no longer needed (on Fedora):
https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

* Unused macros
  - Should use only the defined %geminstdir macro in %files.

* documents / -doc subpackage
  - Please consider to split document files (which are not
    needed on runtime) to -doc subpackage.
    The following files/directories can be moved to -doc subpackage
------------------------------------------------------
%{gemdir}/doc/%{gemname}-%{version}/
%{geminstdir}/test/
# next line publish in Bugzilla?
%{geminstdir}/Rakefile  - I don't know where it must be. May be it need
only for tests.
------------------------------------------------------

* rpmbuild log:
------------------------------------------------------
...
+ /usr/lib/rpm/redhat/brp-java-repack-jars
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/LICENSE.txt
warning: File listed
twice: /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/README.rdoc
+ umask 022
+ cd /home/pkg/rpmbuild/BUILD
+ rm
-rf /home/pkg/rpmbuild/BUILDROOT/rubygem-memcache-client-1.8.5-1.fc14.x86_64
+ exit 0
------------------------------------------------------

 - There is twice definition - may be in %files

* rpmlint log:
------------------------------------------------------
rubygem-memcache-client.noarch: W: spelling-error Summary(en_US)
memcached -> mem cached, mem-cached, mustached
rubygem-memcache-client.noarch: W: spelling-error %description -l en_US
memcached -> mem cached, mem-cached, mustached
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d-i.yaml %5b
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d-i.yaml %5d
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/raise_on_error_response%21-i.yaml %21
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/EM/SocketConnection/can_read%3f-i.yaml %3f
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d%3d-i.yaml %5b
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d%3d-i.yaml %5d
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d%3d-i.yaml %3d
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/EM/SocketConnection/closed%3f-i.yaml %3f
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/active%3f-i.yaml %3f
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/Server/alive%3f-i.yaml %3f
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/check_multithread_status%21-i.yaml %21
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/servers%3d-i.yaml %3d
rubygem-memcache-client.noarch: W:
unexpanded-macro /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/readonly%3f-i.yaml %3f
rubygem-memcache-client.noarch: W:
hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc
rubygem-memcache-client.noarch: W:
hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc
rubygem-memcache-client.noarch: W: no-manual-page-for-binary
memcached_top
rubygem-memcache-client.src: W: spelling-error Summary(en_US) memcached
-> mem cached, mem-cached, mustached
rubygem-memcache-client.src: W: spelling-error %description -l en_US
memcached -> mem cached, mem-cached, mustached
2 packages and 1 specfiles checked; 0 errors, 20 warnings.
------------------------------------------------------

* koji scratch build: green
  - http://koji.fedoraproject.org/koji/taskinfo?taskID=2747123

Comment 2 Minnikhanov 2011-01-28 17:54:36 UTC
* %install
- Gems have permission 664, need 'chmod 644'

Comment 3 Mo Morsi 2011-02-01 23:56:19 UTC
Thanks alot for the review. Updated the rpm based on feedback:


Spec URL: http://mo.morsi.org/files/rpms/rubygem-memcache-client.spec
SRPM URL:
http://mo.morsi.org/files/rpms/rubygem-memcache-client-1.8.5-2.fc14.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2755539

If your taking this official review, please change the status of the bug to
'assigned', assign it to yourself, and change the 'fedora-review' flag to '?'



(In reply to comment #1)
> Some notes:
> 
> * License
>   - Must be pick up one or set another by LICENSE file.

Done

> 
> * BuildRoot
>   - On Fedora BuildRoot line is no longer needed:
>     https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> 

Done

> * %check
>   - Feel free run test suite in a %check section in the rpm
> 

Done

> * %clean
>   - %clean section is no longer needed (on Fedora):
> https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> 

Done

> * Unused macros
>   - Should use only the defined %geminstdir macro in %files.
>

Done 

> * documents / -doc subpackage
>   - Please consider to split document files (which are not
>     needed on runtime) to -doc subpackage.
>     The following files/directories can be moved to -doc subpackage
> ------------------------------------------------------
> %{gemdir}/doc/%{gemname}-%{version}/
> %{geminstdir}/test/
> # next line publish in Bugzilla?
> %{geminstdir}/Rakefile  - I don't know where it must be. May be it need
> only for tests.
> ------------------------------------------------------
> 

Leaving as is since the original gem shipped w/ these files. Marked as %doc though

> * rpmbuild log:
> ------------------------------------------------------
> ...
> + /usr/lib/rpm/redhat/brp-java-repack-jars
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/LICENSE.txt
> warning: File listed
> twice: /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/README.rdoc
> + umask 022
> + cd /home/pkg/rpmbuild/BUILD
> + rm
> -rf /home/pkg/rpmbuild/BUILDROOT/rubygem-memcache-client-1.8.5-1.fc14.x86_64
> + exit 0
> ------------------------------------------------------
> 
>  - There is twice definition - may be in %files
> 

Done

> * rpmlint log:
> ------------------------------------------------------
> rubygem-memcache-client.noarch: W: spelling-error Summary(en_US)
> memcached -> mem cached, mem-cached, mustached
> rubygem-memcache-client.noarch: W: spelling-error %description -l en_US
> memcached -> mem cached, mem-cached, mustached
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d-i.yaml %5b
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d-i.yaml %5d
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/raise_on_error_response%21-i.yaml
> %21
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/EM/SocketConnection/can_read%3f-i.yaml
> %3f
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d%3d-i.yaml
> %5b
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d%3d-i.yaml
> %5d
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/%5b%5d%3d-i.yaml
> %3d
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/EM/SocketConnection/closed%3f-i.yaml
> %3f
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/active%3f-i.yaml
> %3f
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/Server/alive%3f-i.yaml
> %3f
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/check_multithread_status%21-i.yaml
> %21
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/servers%3d-i.yaml
> %3d
> rubygem-memcache-client.noarch: W:
> unexpanded-macro
> /usr/lib/ruby/gems/1.8/doc/memcache-client-1.8.5/ri/MemCache/readonly%3f-i.yaml

All these can be ignored

> %3f
> rubygem-memcache-client.noarch: W:
> hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc
> rubygem-memcache-client.noarch: W:
> hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc
> rubygem-memcache-client.noarch: W: no-manual-page-for-binary

This one can be ignored too.

> memcached_top
> rubygem-memcache-client.src: W: spelling-error Summary(en_US) memcached
> -> mem cached, mem-cached, mustached
> rubygem-memcache-client.src: W: spelling-error %description -l en_US
> memcached -> mem cached, mem-cached, mustached
> 2 packages and 1 specfiles checked; 0 errors, 20 warnings.
> ------------------------------------------------------
> 
> * koji scratch build: green
>   - http://koji.fedoraproject.org/koji/taskinfo?taskID=2747123

(In reply to comment #2)
> * %install
> - Gems have permission 664, need 'chmod 644'

Which files are you refering to here?

Thanks alot for the review.

Comment 4 Minnikhanov 2011-02-02 18:18:16 UTC
Looks good. May be approved with some notes.

(In reply to comment #3)
 
> > * %clean
> >   - %clean section is no longer needed (on Fedora):
> > https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> > 
> 
> Done
> 

- Don't change in spec-file.

 
> (In reply to comment #2)
> > * %install
> > - Gems have permission 664, need 'chmod 644'
> 
> Which files are you refering to here?
> 

I extract 'memcache-client-1.8.5.gem' from src.rpm at my box, it have permission 664.

My box:
[pkg@lhost ~]$ rpmlint -V
rpmlint version 1.0 Copyright (C) 1999-2007 Frederic Lepied, Mandriva

[pkg@lhost ~]$ uname -r
2.6.35.10-74.fc14.x86_64

[pkg@lhost ~]$ uname -a
Linux lhost.ldomain 2.6.35.10-74.fc14.x86_64 #1 SMP Thu Dec 23 16:04:50 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

[pkg@lhost updt]$ rpmbuild --version
RPM version 4.8.1

-------------------------------------------------------------------------------
At my box 'rpmbuild' FAILED.
error log:
>>>
...
error: Installed (but unpackaged) file(s) found:
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/checksums
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/add_c.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/delete_c.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/get_c.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/logger_c.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/put_c.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/reset_c.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Continuum.dat
   /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/EM.dat

...  like this 23Kb
<<<

koji scratch build green, here no these error messages
http://koji.fedoraproject.org/koji/taskinfo?taskID=2757774
-------------------------------------------------------------------------------

Comment 5 Mo Morsi 2011-02-02 20:57:37 UTC
Spec URL: http://mo.morsi.org/files/rpms/rubygem-memcache-client.spec
SRPM URL:
http://mo.morsi.org/files/rpms/rubygem-memcache-client-1.8.5-3.fc14.src.rpm

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2758329

(In reply to comment #4)
> Looks good. May be approved with some notes.
> 
> (In reply to comment #3)
> 
> > > * %clean
> > >   - %clean section is no longer needed (on Fedora):
> > > https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> > > 
> > 
> > Done
> > 
> 
> - Don't change in spec-file.
> 

Done. (really this time ;-) ).

> 
> > (In reply to comment #2)
> > > * %install
> > > - Gems have permission 664, need 'chmod 644'
> > 
> > Which files are you refering to here?
> > 
> 
> I extract 'memcache-client-1.8.5.gem' from src.rpm at my box, it have
> permission 664.

Done. Thanks for this.

-------------------------------------------------------------------------------
> At my box 'rpmbuild' FAILED.
> error log:
> >>>
> ...
> error: Installed (but unpackaged) file(s) found:
>    /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/checksums
>    /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache.dat
>   
> /usr/lib/ruby/gems/1.8/gems/memcache-client-1.8.5/.yardoc/objects/Cache/add_c.dat 
<snip>
> koji scratch build green, here no these error messages
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2757774
> -------------------------------------------------------------------------------

Since Koji passed this doesn't matter so much. My guess is you have an extraneous gem that you 'gem installed' instead of 'yum installed'. So long as it builds on koji or in mock we should be good to go.

Comment 6 Minnikhanov 2011-02-03 19:32:49 UTC
Looks good.

---------------------------------------------------------
    This package (rubygem-memcache-client) is APPROVED by
    minn
---------------------------------------------------------

Comment 7 Mo Morsi 2011-02-03 19:35:31 UTC
Cool stuff, thanks for the review.

New Package SCM Request
=======================
Package Name: rubygem-memcache-client
Short Description: A Ruby library for accessing memcached
Owners: mmorsi
Branches: 
InitialCC:

Comment 8 Kevin Fenzi 2011-02-03 20:39:48 UTC
Git done (by process-git-requests).

Comment 9 Mo Morsi 2013-08-14 18:36:53 UTC
Completed a while ago


Note You need to log in before you can comment on or make changes to this bug.